Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTTextureBufferObject

    java.lang.Object
      org.lwjgl.opengl.EXTTextureBufferObject

    public final class EXTTextureBufferObject

extends java.lang.Object

Field Summary
`static int` | `GL_MAX_TEXTURE_BUFFER_SIZE_EXT` Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:
`static int` | `GL_TEXTURE_BINDING_BUFFER_EXT`
`static int` | `GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT`
`static int` | `GL_TEXTURE_BUFFER_EXT` Accepted by the <target> parameter of BindBuffer, BufferData, BufferSubData, MapBuffer, BindTexture, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, GetBufferPointerv, and TexBufferEXT, and the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:
`static int` | `GL_TEXTURE_BUFFER_FORMAT_EXT`

Method Summary
`static void` | `glTexBufferEXT(int target, int internalformat, int buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_BUFFER_EXT

    public static final int GL_TEXTURE_BUFFER_EXT

  Accepted by the <target> parameter of BindBuffer, BufferData, BufferSubData, MapBuffer, BindTexture, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, GetBufferPointerv, and TexBufferEXT, and the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_BUFFER_SIZE_EXT

    public static final int GL_MAX_TEXTURE_BUFFER_SIZE_EXT

  Accepted by the <pname> parameters of GetBooleanv, GetDoublev, GetFloatv, and GetIntegerv:

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_BUFFER_EXT

    public static final int GL_TEXTURE_BINDING_BUFFER_EXT

See Also:
  Constant Field Values

### GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT

    public static final int GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT

See Also:
  Constant Field Values

### GL_TEXTURE_BUFFER_FORMAT_EXT

    public static final int GL_TEXTURE_BUFFER_FORMAT_EXT

See Also:
  Constant Field Values

Method Detail

### glTexBufferEXT

    public static void glTexBufferEXT(int target,
                                      int internalformat,
                                      int buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.